# TdApi.RichTextReference (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: RichTextReference

Package it.tdlight.jni

# Class TdApi.RichTextReference

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RichText
it.tdlight.jni.TdApi.RichTextReference

Enclosing class:
  TdApi

    public static class TdApi.RichTextReference
    extends TdApi.RichText

A reference to a richTexts object on the same web page.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String` | `anchorName` | The name of a richTextAnchor object, which is the first element of the target richTexts object.
`static int` | `CONSTRUCTOR` |
`TdApi.RichText` | `text` | The text.
`String` | `url` | An HTTP URL, opening the reference.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RichTextReference()` | A reference to a richTexts object on the same web page.
`RichTextReference​(TdApi.RichText text, String anchorName, String url)` | A reference to a richTexts object on the same web page.
`RichTextReference​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
The text.

### anchorName

public String anchorName
The name of a richTextAnchor object, which is the first element of the target richTexts object.

### url

public String url
An HTTP URL, opening the reference.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### RichTextReference

public RichTextReference()
A reference to a richTexts object on the same web page.

### RichTextReference

public RichTextReference​(TdApi.RichText text, String anchorName, String url)
A reference to a richTexts object on the same web page.

Parameters:
  `text` - RichText The text.
  `anchorName` - String The name of a richTextAnchor object, which is the first element of the target richTexts object.
  `url` - String An HTTP URL, opening the reference.

### RichTextReference

public RichTextReference​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`